# Links

## Link erstellen

<mark style="color:green;">`POST`</mark> `https://api.propstack.de/v1/links`

Dieser Endpoint erstellt einen Link für ein bestimmtes Objekt.

#### Query Parameters

| Name                      | Type    | Description                                                           |
| ------------------------- | ------- | --------------------------------------------------------------------- |
| link\_\_is\_embedable     | boolean | Soll der Link als Iframe auf der Objekt-Landing-Page angezeigt werden |
| link\_\_on\_landing\_page | boolean | Soll der Link auf der Objekt-Landing-Page angezeigt werden            |
| link\_\_is\_private       | boolean | Soll der Link auf Portale übertragen werden                           |
| link\_\_url               | string  | URL des Links                                                         |
| property\_id              | integer | Propstack-ID des Objektes, bei dem der Link angelegt werden soll      |
| link\_\_title             | string  | Titel des Links                                                       |

{% tabs %}
{% tab title="200 Link wurde erstellt" %}

```javascript
{
    "id": 1,
    "title": "Foo",
    "url": "https://foo.bar",
    "is_private": false,
    "tags": [],
    "is_embedable": false,
    "on_landing_page": false,
    "position": 1
}
```

{% endtab %}
{% endtabs %}

## Link aktualisieren

<mark style="color:orange;">`PUT`</mark> `https://api.propstack.de/v1/links/:id`

Einen vorhandenen Link aktualisieren.  Die gleichen Parameter wie beim Erstellen sind hier verfügbar.

{% tabs %}
{% tab title="200 " %}

```
{
    "id": 1,
    "title": "Foobar",
    "url": "https://foo.bar",
    "is_private": false,
    "tags": [],
    "is_embedable": false,
    "on_landing_page": false,
    "position": 1
}
```

{% endtab %}
{% endtabs %}

## Link löschen

<mark style="color:red;">`DELETE`</mark> `https://api.propstack.de/v1/links/:id`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.propstack.de/reference/objekte/links.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
